<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:c="http://java.sun.com/jstl/core"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- parameter aEncounter: the AbstractEncounter object to display -->
    <ul class="nav nav-tabs" role="tablist">
        <li role="presentation" class="active">
            <a href="#info" aria-controls="info" role="tab" data-toggle="tab">#{messages['gazelle.simulator.pam.GeneralInformations']}</a>
        </li>
        <li role="presentation">
            <a href="#loc" aria-controls="loc" role="tab" data-toggle="tab">#{messages['gazelle.simulator.pam.AssignedPatientLocation']}</a>
        </li>
        <li role="presentation">
            <a href="#doc" aria-controls="doc" role="tab"
               data-toggle="tab">#{messages['gazelle.simulator.pam.Doctors']}</a>
        </li>
        <c:if test="${historic}">
            <li role="presentation">
                <a href="#movinfo" aria-controls="movinfo" role="tab"
                   data-toggle="tab">#{messages['gazelle.pam.WardsMovement']}</a>
            </li>
        </c:if>
        <c:if test="${pesManager.isBP6Mode()}">
            <li role="presentation">
                <a href="#drg" aria-controls="drg" role="tab"
                   data-toggle="tab">#{messages['gazelle.pam.DRGMovement_2']}</a>
            </li>
            <li role="presentation">
                <a href="#add" aria-controls="add" role="tab"
                   data-toggle="tab">#{messages['gazelle.simulator.pam.AdditionalInformation']}</a>
            </li>
            <li role="presentation">
                <a href="#dmp" aria-controls="dmp" role="tab"
                   data-toggle="tab">#{messages['gazelle.pam.PatientsPHR']}</a>
            </li>
        </c:if>
    </ul>
    <div class="tab-content tab-content-with-border">
        <div role="tabpanel" class="tab-pane active" id="info">
            <div class="form-horizontal">
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml" id="visitNumberDecorate">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.VisitNumber']}</ui:define>
                    <ui:param name="id" value="visitNbinput"/>
                    <h:outputText value="#{aEncounter.visitNumber}" rendered="#{aEncounter.id != null}"/>
                    <s:div rendered="#{aEncounter.id == null}">
                        <span class="input-group">
                            <h:inputText value="#{aEncounter.visitNumber}"
                                         id="visitNbinput" styleClass="form-control"/>
                            <span class="input-group-btn">
                                <a4j:commandButton value="#{messages['net.ihe.gazelle.patientmanager.UseAccountNumber']}"
                                                   actionListener="#{pesManager.copyAccountNumberToVisitNumber()}"
                                                   render="visitNumberDecorate"
                                                   styleClass="gzl-btn-blue"/>
                                 <a4j:commandButton value="#{messages['gazelle.simulator.pam.GenerateOne']}"
                                                    actionListener="#{pesManager.getNewVisitNumber()}"
                                                    render="visitNumberDecorate"
                                                    styleClass="gzl-btn-blue"/>
                            </span>
                        </span>
                    </s:div>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.PatientClass']}</ui:define>
                    <ui:param name="id" value="inputClass"/>
                    <h:selectOneMenu value="#{aEncounter.patientClassCode}" id="inputClass" styleClass="form-control">
                        <f:selectItems value="#{valueSet.getListOfConcepts('HL70004')}"/>
                    </h:selectOneMenu>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                            rendered="#{not event.equals('A04') and not event.equals('A05')}">
                    <ui:define name="label">#{messages['gazelle.patientmanager.HospitalService']}</ui:define>
                    <ui:param name="id" value="inputService"/>
                    <h:selectOneMenu value="#{aEncounter.hospitalServiceCode}" id="inputService"
                                     styleClass="form-control">
                        <f:selectItems value="#{valueSet.getListOfConcepts('HOSPITAL_SERVICE')}"/>
                    </h:selectOneMenu>
                </s:decorate>
                <h:panelGroup rendered="#{event.equals('A01') or event.equals('A04')}">
                    <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.pam.AdmissionDatetime']}</ui:define>
                        <ui:param name="id" value="inputAdmission"/>
                        <a4j:outputPanel id="inputAdmission" layout="block">
                            <rich:calendar value="#{aEncounter.admitDate}" locale="#{localeSelector.localeString}"
                                           datePattern="dd/MM/yyyy HH:mm" showApplyButton="false" style="width:200px">
                            </rich:calendar>
                        </a4j:outputPanel>
                    </ui:decorate>
                    <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:define name="label">#{messages['gazelle.pam.AdmissionType']}</ui:define>
                        <ui:param name="id" value="adminType"/>
                        <h:selectOneMenu value="#{aEncounter.admissionType}" id="adminType" styleClass="form-control">
                            <f:selectItems value="#{valueSet.getListOfConcepts('HL70007')}"/>
                        </h:selectOneMenu>
                    </ui:decorate>
                    <s:div id="accident">
                        <ui:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
                            <h:selectBooleanCheckbox value="#{aEncounter.accident}">
                                <a4j:ajax event="change" render="accident"/>
                            </h:selectBooleanCheckbox>
                            #{messages['gazelle.pam.PatientAdmittedFollowingAnAccident']}
                        </ui:decorate>
                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                                    rendered="#{aEncounter.accident}">
                            <ui:define name="label">#{messages['gazelle.pam.AccidentCode']}</ui:define>
                            <ui:param name="id" value="accCode"/>
                            <h:selectOneMenu value="#{aEncounter.accidentCode}" id="accCode" styleClass="form-control">
                                <f:selectItems value="#{valueSet.getListOfConcepts('HL70050')}"/>
                            </h:selectOneMenu>
                        </s:decorate>
                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                                    rendered="#{aEncounter.accident}">
                            <ui:define name="label">#{messages['gazelle.pam.AccidentDate']}</ui:define>
                            <ui:param name="id" value="accDate"/>
                            <a4j:outputPanel id="accDate" layout="block">
                                <rich:calendar value="#{aEncounter.accidentDate}"
                                               locale="#{localeSelector.localeString}"
                                               datePattern="dd/MM/yyyy HH:mm" showApplyButton="false"
                                               style="width:200px">
                                </rich:calendar>
                            </a4j:outputPanel>
                        </s:decorate>
                    </s:div>
                </h:panelGroup>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                            rendered="#{event.equals('A14') or event.equals('A05')}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.ExpectedAdmissionDatetime']}</ui:define>
                    <ui:param name="id" value="expectedAdmissionDate"/>
                    <a4j:outputPanel id="expectedAdmissionDate" layout="block">
                        <rich:calendar value="#{aEncounter.expectedAdmitDate}" locale="#{localeSelector.localeString}"
                                       datePattern="dd/MM/yyyy HH:mm" showApplyButton="false" style="width:200px">
                        </rich:calendar>
                    </a4j:outputPanel>
                </s:decorate>
            </div>
        </div>
        <div role="tabpanel" class="tab-pane" id="loc">
            <h:outputText value="#{messages['gazelle.simulator.pam.AnOutpatientIsNotAssignedToABed']}"
                          rendered="#{event.equals('A07') or event.equals('A04')}"/>
            <h:outputText value="#{messages['net.ihe.gazelle.PatientManager.PatientIsNotYetAssignedToABed']}"
                          rendered="#{event.equals('A05')}"/>
            <s:div rendered="#{not event.equals('A07') and not event.equals('A04') and not event.equals('A05')}"
                   styleClass="form-horizontal">
                <ui:include src="/pes/_editPatientLocation.xhtml"/>
            </s:div>
        </div>
        <div role="tabpanel" class="tab-pane" id="doc">
            <ui:include src="/iti31/_editDoctors.xhtml">
                <ui:param name="event" value="#{event}"/>
                <ui:param name="aEncounter" value="#{aEncounter}"/>
            </ui:include>
        </div>
        <c:if test="${historic}">
            <div role="tabpanel" class="tab-pane" id="movinfo">
                <div class="form-horizontal">
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:define name="label">#{messages['gazelle.pam.MedicalResponsabilityWard']}</ui:define>
                        <ui:param name="id" value="medward"/>
                        <h:selectOneMenu id="medward" value="#{aMovement.wardCode}"
                                         styleClass="form-control">
                            <f:selectItems value="#{valueSet.getListOfConcepts('MEDICAL_WARD')}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                                rendered="#{pesManager.isBP6Mode()}">
                        <ui:define name="label">#{messages['gazelle.pam.NursingResponsabilityWard']}</ui:define>
                        <ui:param name="id" value="nurseward"/>
                        <h:selectOneMenu id="nurseward" value="#{aMovement.nursingCareWard}"
                                         styleClass="form-control">
                            <f:selectItems value="#{valueSet.getListOfConcepts('NURSING_WARD')}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                                rendered="#{pesManager.isBP6Mode()}">
                        <ui:define name="label">#{messages['gazelle.pam.NatureOfMovement']}</ui:define>
                        <ui:param name="id" value="nature"/>
                        <h:selectOneMenu id="nature" value="#{aMovement.natureOfMovement}"
                                         styleClass="form-control">
                            <f:selectItems value="#{valueSet.getListOfConcepts('HL79106')}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </div>
            </div>
        </c:if>
        <c:if test="${pesManager.isBP6Mode()}">
            <div role="tabpanel" class="tab-pane" id="drg">
                <ui:include src="/fr/_editDRGMovement.xhtml">
                    <ui:param name="drg" value="#{aEncounter.drgMovement}"/>
                </ui:include>
            </div>
            <div role="tabpanel" class="tab-pane" id="add">
                <ui:include src="/fr/_editAdditionalEncounterInfo.xhtml">
                    <ui:param name="zfv" value="#{aEncounter.encounterAdditionalInfo}"/>
                </ui:include>
            </div>
            <div role="tabpanel" class="tab-pane" id="dmp">
                <ui:include src="/fr/_editPatientsPHR.xhtml">
                    <ui:param name="phr" value="#{aEncounter.patientsPHRInfo}"/>
                </ui:include>
            </div>
        </c:if>
    </div>
</ui:composition>
